# PhasicFlow: src/phasicFlow/containers/pointField/pointField/pointFields.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

pointFields.hpp File Reference
Include dependency graph for pointFields.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

template<typename T >
using | pointField_H = pointField< T, HostSpace >
template<typename T >
using | pointField_D = pointField< T >
using | uint8PointField_D = pointField_D< uint8 >
using | uint8PointField_H = pointField_H< uint8 >
using | uint32PointField_D = pointField_D< uint32 >
using | uint32PointField_H = pointField_H< uint32 >
using | uint64PointField_D = pointField_D< uint64 >
using | uint64PointField_H = pointField_H< uint64 >
using | realPointField_D = pointField_D< real >
using | realPointField_H = pointField_H< real >
using | realx3PointField_D = pointField_D< realx3 >
using | realx3PointField_H = pointField_H< realx3 >
using | realx4PointField_D = pointField_D< realx4 >
using | realx4PointField_H = pointField_H< realx4 >
using | wordPointField_H = pointField_H< word >